<template>
    <el-row class="rule-row">
        <el-select :model-value="eif[0]" @update:modelValue="(newValue) => $emit('onUpdate', '0', newValue)">
            <el-option label="Данные магазина" value="price">Данные магазина</el-option>
            <el-option label="Результат" value="result">Результат</el-option>
        </el-select>
        <el-input :model-value="eif[1]" @update:modelValue="(newValue) => $emit('onUpdate', '1', newValue)" />
        <el-select :model-value="eif[2]" @update:modelValue="(newValue) => $emit('onUpdate', '2', newValue)">
            <el-option label="равно" value="=">равно</el-option>
            <el-option label="не равно" value="!=">не равно</el-option>
            <el-option label="меньше" value="<">меньше</el-option>
            <el-option label="больше" value=">">больше</el-option>
            <el-option label="содержит" value="%=">содержит</el-option>
            <el-option label="не содержит" value="!%=">не содержит</el-option>
            <el-option label="regex" value="regex">regex</el-option>
        </el-select>
        <el-input :model-value="eif[3]" @update:modelValue="(newValue) => $emit('onUpdate', '3', newValue)" autosize />
        <el-button type="danger" plain @click="$emit('onDelete')">
            <font-awesome-icon icon="fa-solid fa-trash" />
        </el-button>
    </el-row>
</template>

<script>
export default {
    props: {
        eif: Object,
    },
    emits: ["onUpdate", "onDelete"],
};
</script>

<style scoped>
.rule-row {
    margin-bottom: 10px;
}

.rule-row .el-select,
.rule-row .el-input {
    max-width: 200px;
    margin-right: 10px;
}
</style>
